GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions | Variables
reporting.h File Reference
`#include <map>`
`#include <string>`
`#include <ostream>`
`#include <sstream>`
`#include "fourdst/composition/composition.h"`
Include dependency graph for reporting.h:
This graph shows which files directly or indirectly include this file:

## Classes
struct | gridfire::engine::PrimingReport
| Captures the result of a network priming operation. More...

## Namespaces
namespace | gridfire
namespace | gridfire::engine

## Enumerations
enum class | gridfire::engine::PrimingReportStatus { gridfire::engine::SUCCESS , gridfire::engine::ALREADY_PRIMED , gridfire::engine::SOLVER_FAILURE }
| Enumerates outcome codes for a network priming operation. More...
enum class | gridfire::engine::SpeciesStatus { gridfire::engine::ACTIVE , gridfire::engine::EQUILIBRIUM , gridfire::engine::INACTIVE_FLOW , gridfire::engine::NOT_PRESENT }
| Enumerates the status of a species in the simulation. More...

## Functions
std::string | gridfire::engine::SpeciesStatus_to_string (const SpeciesStatus status)
| Convert a SpeciesStatus enum value to its string representation.

## Variables
std::map< PrimingReportStatus, std::string > | gridfire::engine::PrimingReportStatusStrings
| Mapping from PrimingReportStatus codes to human-readable strings.